Category : bundler

The docker image "web" seems to fail as the image is built with the following error code: web_1 | Traceback (most recent call last): web_1 | 2: from /usr/local/bin/bundle:23:in `<main>’ web_1 | 1: from /usr/local/lib/ruby/2.6.0/rubygems.rb:302:in `activate_bin_path’ web_1 | /usr/local/lib/ruby/2.6.0/rubygems.rb:283:in `find_spec_for_exe’: Could not find ‘bundler’ (2.2.24) required by your /prospector/Gemfile.lock. (Gem::GemNotFoundException) web_1 | To update to ..

Read more

When I run docker-compose up I’m getting the following error qemu: uncaught target signal 6 (Aborted) – core dumped This is happening when docker-compose is running the command bundle install => ERROR [5/6] RUN bundle install –jobs 4 –path .bundle/ 4.2s —— > [5/6] RUN bundle install –jobs 4 –path .bundle/: #10 4.170 Fetching gem ..

Read more

I am dockerizing my rails app with the mountable engine. But I am constantly getting one error while running the image The path `/app/include/engine` does not exist. The image is successfully built but while running docker-compose up it throws an error of the path. Below I am attching my Dockerfile and docker-compose.yml Dockerfile FROM ruby:2.4.1 ..

Read more

Bundler truncates cmdline when run in docker to 38 symbols. Docker + Bundler + Pry [email protected]:/tmp# bundle exec pry [1] pry(main)> $0 = "0123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789" => "0123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789" [2] pry(main)> File.read("/proc/#{$PROCESS_ID}/cmdline") => "0123456789012345678901234x00x00" [3] pry(main)> Docker + Pry [email protected]:/tmp# pry [1] pry(main)> $0 = "0123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789" => "0123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789" [2] pry(main)> File.read("/proc/#{$PROCESS_ID}/cmdline") => "0123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789" [3] pry(main)> This issue only ..

Read more

I try to build a simple ruby script that checks the balance on the Kraken crypto exchange using the custom jonatack/kraken_ruby_client gem from github which is not available on ruby gems. AWS Lambda throws the following error: "errorMessage": "https://github.com/jonatack/kraken_ruby_client.git (at [email protected]) is not yet checked out. Run `bundle install` first.", "errorType": "Init<Bundler::GitError>", "stackTrace": ["/var/runtime/gems/bundler-2.1.4/lib/bundler/source/git.rb:204:in `rescue ..

Read more